%{?nodejs_find_provides_and_requires}

%global packagename node-red-node-twitter
%global enable_tests 1

Name:		nodejs-node-red-node-twitter
Version:	0.1.9
Release:	1%{?dist}
Summary:	A Node-RED node to talk to Twitter

License:	ASL 2.0
URL:		https://github.com/node-red/node-red-nodes/tree/master/social/twitter
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
#BuildRequires:	
%endif

%description
A Node-RED node to talk to Twitter


%prep
%autosetup -n package

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
#%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/echo -e "\e[102m -=#=- There are no tests -=#=- \e[0m"
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc
%license
%{nodejs_sitelib}/%{packagename}

%changelog
* Sat Jan  7 2017 Jared Smith <jsmith@fedoraproject.org> - 0.1.9-1
- Initial packaging
